clear all
close all
a=-pi/3;b=pi/4*pi;
u=@(x) cos(x); v=@(x) sin(x);
f=@(x) u(x).*v(x);
pf=@(x) -1/2*cos(x).^2; % primitive de u
Iex=pf(b)-pf(a); % integrale exacte de f

LN=100:100:1000;
i=1;
for nq=LN
  x=mesh1D(a,b,nq)'; % x vecteur colonne
  M=Masse(x);U=u(x);V=v(x);
  I=dot(M*U,V);
  h=x(2:nq)-x(1:(nq-1));
  H(i)=max(h);
  E(i)=abs(I-Iex);
  i=i+1;
end

loglog(H,E,'r',H,H,'ko-',H,H.^2,'kd-')


