clear all
close all
a=0;b=2*pi;nq=7;
u=@(x) cos(x);
x=mesh1D(a,b,nq);
plotmesh=@(x) plot(x,0*x,'k','linewidth',1.5,x,0*x,'k.','markersize',12);

figure(1)
plotmesh(x)
hold on

t=linspace(a,b,500);
plot(t,u(t),'r','linewidth',1.5) % representation de la fonction u sur [a,b]

U=u(x);
plot(x,U,'b.','markersize',12); % representation des points (x_i,u(x_i))

plot(x,U,'b','linewidth',1.5); % fct pi_h(u)
