clear all
close all
a=-pi/3;b=pi/4;nq=100;
u=@(x) cos(x); v=@(x) sin(x);
f=@(x) u(x).*v(x);
pf=@(x) -1/2*cos(x).^2; % primitive de u
Iex=pf(b)-pf(a); % integrale exacte de f

x=mesh1D(a,b,nq)'; % x vecteur colonne

M=Masse(x);U=u(x);V=v(x);

I=dot(M*U,V);
fprintf('erreur : %.5e\n',abs(I-Iex))

